Bug 186817 - Review Request: kshutdown
Review Request: kshutdown
Status: CLOSED DUPLICATE of bug 203789
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-26 16:04 EST by kushaldas@gmail.com
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-23 14:45:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kushaldas@gmail.com 2006-03-26 16:04:53 EST
Spec Name or Url: http://freeshell.in/~kushal/kshutdown.spec
SRPM Name or Url: http://freeshell.in/~kushal/kshutdown-0.8.2-1.src.rpm
Description: KShutDown is an advanced shut down utility for KDE.
Comment 1 kushaldas@gmail.com 2006-03-26 18:18:22 EST
Forget to add: This is my first package & I am looking a sponsor.
Comment 2 Rex Dieter 2006-03-27 07:36:55 EST
Added FE-NEEDSPONSOR tracking bug.

a few things off the top of my head:

1.  drop from %post/%postun:
/sbin/ldconfig %{_libdir}/kde
not required.

2.  missing (at least):
BuildRequires: kdelibs-devel

3.  use the %find_lang macro, instead of manually adding all those %lang()...
entries.  Add
%find_lang %{name}
near the end of your %install section, then use
%files -f %{name}.lang

4. Use a full URL for the Source: tag.  Something like:
Source: http://dl.sourceforge.net/sourceforge/kshutdown/kshutdown-%{version}.tar.bz2
(one line)
Comment 3 kushaldas@gmail.com 2006-03-29 08:58:44 EST
Changed as commented.
Still I am not sure about the changelog.
Comment 4 Rex Dieter 2006-03-29 09:02:13 EST
FYI, when you update the package, you ought to also increment the Release tag. 

What aren't you sure about wrt the changelog?
Comment 5 kushaldas@gmail.com 2006-03-29 09:16:02 EST
Spec Name or Url: http://freeshell.in/~kushal/kshutdown.spec
SRPM Name or Url: http://freeshell.in/~kushal/kshutdown-0.8.2-3.src.rpm

Is it ok ??
Comment 6 Rex Dieter 2006-03-29 09:20:39 EST
Better, yes.  (-:
Comment 7 Chitlesh GOORAH 2006-06-26 04:59:58 EDT
This is not an official review:

- MUST: rpmlint gives warnings, which should be corrected.
W: kshutdown hidden-file-or-dir
/usr/share/apps/kshutdown/extras/multimedia/.directory
The file or directory is hidden. You should see if this is normal,
and delete it from the package if not.

W: kshutdown dangling-symlink /usr/share/doc/HTML/de/kshutdown/common
/usr/share/doc/HTML/de/common
The symbolic link points nowhere.

W: kshutdown symlink-should-be-relative /usr/share/doc/HTML/de/kshutdown/common
/usr/share/doc/HTML/de/common
W: kshutdown hidden-file-or-dir /usr/share/apps/kshutdown/extras/shutdown/.directory
The file or directory is hidden. You should see if this is normal,
and delete it from the package if not.

W: kshutdown hidden-file-or-dir /usr/share/apps/kshutdown/extras/system/.directory
The file or directory is hidden. You should see if this is normal,
and delete it from the package if not.

W: kshutdown dangling-symlink /usr/share/doc/HTML/en/kshutdown/common
/usr/share/doc/HTML/en/common
The symbolic link points nowhere.

W: kshutdown symlink-should-be-relative /usr/share/doc/HTML/en/kshutdown/common
/usr/share/doc/HTML/en/common


- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the format %{name}.spec
- MUST: The package must meet the Packaging Guidelines.
- MUST: The package is under the GPL license.
- MUST: The License field in the package spec file matches the actual license.
- MUST: The source package does not include the text of the license(s) in its
own file, then the file, containing the text of the license(s) for the package
does not need to be included in %doc.
- MUST: The spec file is written in American English.
- MUST: The spec file for the package is legible.
- MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task.
- MUST: The package must successfully compile and build into binary rpms at
least on i386.

Though there are
+ make -j3
Makefile:849: warning: overriding commands for target `clean-bcheck'
Makefile:812: warning: ignoring old commands for target `clean-bcheck'
Makefile:854: warning: overriding commands for target `bcheck-am'
Makefile:817: warning: ignoring old commands for target `bcheck-am'
make  all-recursive
make[1]: Entering directory `/home/chitlesh/rpmbuild/BUILD/kshutdown-0.8.2'
Makefile:849: warning: overriding commands for target `clean-bcheck'
Makefile:812: warning: ignoring old commands for target `clean-bcheck'
Makefile:854: warning: overriding commands for target `bcheck-am'
Makefile:817: warning: ignoring old commands for target `bcheck-am'            
                                             

I have also encountered the above, I don't know whether this should be ignored
or not.

- MUST: All build dependencies are listed in BuildRequires
- MUST: The spec file handles locales properly. 
- MUST: A package owns all directories that it creates.
- MUST: A package does not contain any duplicate files in the %files listing.
- MUST: Permissions on files has been set properly.
- MUST: Each package haq a %clean section, which contains rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).

- MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.

You should use macros on the %files section.
and you can even use %{_docdir} instead of %{_datadir}/doc/

- MUST: The package contains code, or permissable content.

But the "sounds" folder contains *.ogg fils which are copyrighted (C) Caryn
"Hellchick" Law

- MUST: No Large documentation files, hence no need for a -doc subpackage.

- MUST: The package does not include %doc

for this package, you can use 
%doc AUTHORS COPYING NEWS README TODO VERSION


- MUST: The Package containing GUI application includes a %{name}.desktop file.

SHOULD Items:

- SHOULD: If the source package does not include license text(s) as a separate
file from upstream

 you SHOULD query upstream to include it.
Comment 8 Chitlesh GOORAH 2006-07-11 06:47:25 EDT
It has been more than 3 full months since your last comment, Kushal can you
post a new version which does build in Mock, or are you no longer interested?
Comment 9 Rex Dieter 2006-08-17 15:15:04 EDT
1+ month since last inquiry.  I think it's same to assume submitter has gone
awol, closing (WONTFIX?)

Feel free to reopen, Kushal, if you're still out there, interested in this.
Comment 10 Chitlesh GOORAH 2006-08-23 14:16:28 EDT
Request for take over ?

Spec URL: http://chitlesh.funpic.de/rpm/kshutdown.spec
SRPM URL: http://chitlesh.funpic.de/rpm/kshutdown-0.8.2-4.src.rpm
Comment 11 Rex Dieter 2006-08-23 14:43:30 EDT
Chitlesh, I'd suggest opening a new report (so that you are properly marked as
Reporter).
Comment 12 Chitlesh GOORAH 2006-08-23 14:45:02 EDT
Ok :)
I'm closing this bug.
Comment 13 Ville Skyttä 2006-08-23 14:55:37 EDT
http://fedoraproject.org/wiki/Extras/Policy/StalledReviews

*** This bug has been marked as a duplicate of 203789 ***

Note You need to log in before you can comment on or make changes to this bug.